Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class IdBagBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.BagBinder
              org.hibernate.cfg.annotations.IdBagBinder

    public class IdBagBinder

extends BagBinder

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`IdBagBinder()`

Method Summary
`protected boolean` | `bindStarToManySecondPass(Map persistentClasses, org.hibernate.annotations.common.reflection.XClass collType, Ejb3JoinColumn[] fkJoinColumns, Ejb3JoinColumn[] keyColumns, Ejb3JoinColumn[] inverseColumns, Ejb3Column[] elementColumns, boolean isEmbedded, org.hibernate.annotations.common.reflection.XProperty property, boolean unique, TableBinder associationTableBinder, boolean ignoreNotFound, ExtendedMappings mappings)` return true if it's a Fk, false if it's an association table
`protected org.hibernate.mapping.Collection` | `createCollection(org.hibernate.mapping.PersistentClass persistentClass)`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder
`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, getCollection, getCollectionBinder, getSecondPass, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInsertable, setInverseJoinColumns, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyAccessorName, setPropertyHolder, setPropertyName, setSort, setSqlOrderBy, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdBagBinder

    public IdBagBinder()

Method Detail

### createCollection

    protected org.hibernate.mapping.Collection createCollection(org.hibernate.mapping.PersistentClass persistentClass)

  Overrides:
    `createCollection` in class `BagBinder`

### bindStarToManySecondPass

    protected boolean bindStarToManySecondPass(Map persistentClasses,
                                               org.hibernate.annotations.common.reflection.XClass collType,
                                               Ejb3JoinColumn[] fkJoinColumns,
                                               Ejb3JoinColumn[] keyColumns,
                                               Ejb3JoinColumn[] inverseColumns,
                                               Ejb3Column[] elementColumns,
                                               boolean isEmbedded,
                                               org.hibernate.annotations.common.reflection.XProperty property,
                                               boolean unique,
                                               TableBinder associationTableBinder,
                                               boolean ignoreNotFound,
                                               ExtendedMappings mappings)

  Description copied from class: `CollectionBinder`
  return true if it's a Fk, false if it's an association table

  Overrides:
    `bindStarToManySecondPass` in class `CollectionBinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD